## libkcompactdisc 22.12.0

=== debian/changelog ===
libkcompactdisc (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:57 +0100

libkcompactdisc (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:06 +0100

libkcompactdisc (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 06 Apr 2022 22:22:39 +0200

=== debian/control ===
Source: libkcompactdisc
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libasound2-dev [linux-any],
               libkf5i18n-dev (>= 5.90.0~),
               libkf5solid-dev (>= 5.90.0~),
               libphonon4qt5-dev (>= 4:4.8.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/libkcompactdisc
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcompactdisc
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkcompactdisc.git

Package: libkf5compactdisc-dev
Section: libdevel
Architecture: any
Depends: libkf5compactdisc5 (= ${binary:Version}),
         libkf5i18n-dev (>= 5.90.0~),
         libkf5solid-dev (>= 5.90.0~),
         libphonon4qt5-dev (>= 4:4.8.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: CD drive library for KDE Platform (development)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package contains the development files for libKCompactDisc.
 .
 This package is part of the KDE multimedia module.

Package: libkf5compactdisc5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CD drive library for KDE Platform (runtime)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package is part of the KDE multimedia module.

## libkcompactdisc 22.12.3

=== debian/changelog ===
libkcompactdisc (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:02 +0100

libkcompactdisc (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:40:05 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libphonon4qt5-dev (>= 4:4.8.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/libkcompactdisc
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcompactdisc
@@ -43,7 +43,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: CD drive library for KDE Platform (runtime)
  The KDE Compact Disc library provides an API for applications using
  the KDE Platform to interface with the CD drives for audio CDs.

## libkcompactdisc 23.08.0

=== debian/changelog ===
libkcompactdisc (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:00:32 +0100

libkcompactdisc (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update installed files

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:39:58 +0100

libkcompactdisc (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:55:55 +0100

libkcompactdisc (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update installed files
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:02:09 +0100

libkcompactdisc (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:44:47 +0000

libkcompactdisc (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:27:39 -0600

libkcompactdisc (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:20:38 +0000

libkcompactdisc (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Breaks/Replaces for Kubuntu version history.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 13:27:13 +0000

libkcompactdisc (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:16:33 +0000

libkcompactdisc (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:12:44 +0000

libkcompactdisc (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:55:32 +0000

libkcompactdisc (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:15:34 +0000

## libkcompactdisc 23.08.1

=== debian/changelog ===
libkcompactdisc (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:05:30 +0100

## libkcompactdisc 23.08.4

=== debian/changelog ===
libkcompactdisc (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:21:43 +0000

libkcompactdisc (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:42:07 +0000

libkcompactdisc (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:38:01 +0100

## libkcompactdisc 23.08.5

=== CMakeLists.txt ===
﻿cmake_minimum_required(VERSION 3.16)

project(KCompactDisc VERSION 5.0.0)

set(QT_MIN_VERSION "5.15.2")
set(KF_MIN_VERSION "5.92.0")

# Dependencies
include(FeatureSummary)
find_package(ECM ${KF_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(ECMGeneratePriFile)
include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMDeprecationSettings)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

# Qt5, KF5 and Phonon Packages

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus)
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Solid
    I18n
)
find_package(Phonon4Qt${QT_MAJOR_VERSION} 4.8.0 CONFIG REQUIRED)

# Sources
ecm_set_disabled_deprecation_versions(QT 6.4
    KF 5.100.0
    )

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
## Compiler flags

add_definitions(-DTRANSLATION_DOMAIN=\"libkcompactdisc\")

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER_ID MATCHES "Clang")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")   ## ALSA no longer compiles with -std=c90, see https://bugzilla.novell.com/show_bug.cgi?id=817077
endif()

find_package(ALSA)
set_package_properties(ALSA PROPERTIES
                       URL "https://www.alsa-project.org/"
                       DESCRIPTION "ALSA provides audio and MIDI functionality"
                       TYPE OPTIONAL
                       PURPOSE "Play back audio CDs via ALSA")
set(HAVE_ALSA ${ALSA_FOUND})


if (QT_MAJOR_VERSION STREQUAL "5")
    set(KCOMPACTDISC_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/KCompactDisc")
    set(KCOMPACTDISC_CMAKECONFIG_NAME "KF5CompactDisc")
    set(LIBRARYFILE_NAME "KF5CompactDisc")
    set(TARGET_EXPORT_NAME "CompactDisc")
    set(NAMESPACE_NAME "KF5::")
else()
    set(KCOMPACTDISC_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KCompactDisc6")
    set(KCOMPACTDISC_CMAKECONFIG_NAME "KCompactDisc6")
    set(LIBRARYFILE_NAME "KCompactDisc6")
    set(TARGET_EXPORT_NAME "KCompactDisc6")
    set(NAMESPACE_NAME "")
endif()

# Version Setup

ecm_setup_version(${KCompactDisc_VERSION}
    VARIABLE_PREFIX KCOMPACTDISC
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/kcompactdisc_version.h
    PACKAGE_VERSION_FILE ${CMAKE_CURRENT_BINARY_DIR}/${KCOMPACTDISC_CMAKECONFIG_NAME}ConfigVersion.cmake
    SOVERSION 5
)

configure_file(config-alsa.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-alsa.h)

add_library(KCompactDisc SHARED)
set_target_properties(KCompactDisc PROPERTIES
    VERSION ${KCOMPACTDISC_VERSION}
    SOVERSION ${KCOMPACTDISC_SOVERSION}
    OUTPUT_NAME ${LIBRARYFILE_NAME}
    EXPORT_NAME ${TARGET_EXPORT_NAME}
)

if (QT_MAJOR_VERSION STREQUAL "5")
    add_library(KF5::CompactDisc ALIAS KCompactDisc)
endif()

if (QT_MAJOR_VERSION STREQUAL "5")
    set(_generate_export_header_version_args)
else()
    # For Qt6/KF6 world transitively include the version header
    if(ECM_VERSION VERSION_LESS "5.106")
        set(include_version_header_code "#include <kcompactdisc_version.h>\n")
        set(_generate_export_header_version_args CUSTOM_CONTENT_FROM_VARIABLE include_version_header_code)
    else()
        set(_generate_export_header_version_args USE_VERSION_HEADER)
    endif()
endif()
ecm_generate_export_header(KCompactDisc
    BASE_NAME KCompactDisc
    VERSION ${KCOMPACTDISC_VERSION}
    DEPRECATED_BASE_VERSION 0
    ${_generate_export_header_version_args}
)

if (APPLE OR WIN32 OR CMAKE_SYSTEM_NAME STREQUAL GNU)
    set(USE_WMLIB false)
else()
    set(USE_WMLIB true)
endif()

target_sources(KCompactDisc PRIVATE
    kcompactdisc.cpp kcompactdisc.h
    kcompactdisc_p.cpp kcompactdisc_p.h
    phonon_interface.cpp phonon_interface.h
)

if (USE_WMLIB)
    target_sources(KCompactDisc PRIVATE
        wmlib_interface.cpp wmlib_interface.h

        wmlib/audio/audio.c
        wmlib/audio/audio_arts.c
        wmlib/audio/audio_alsa.c
        wmlib/audio/audio_sun.c

        wmlib/cdda.c
        wmlib/cddb.c
        wmlib/cdrom.c
        wmlib/wm_helpers.c
        wmlib/cdtext.c
        wmlib/scsi.c
        wmlib/plat_aix.c
        wmlib/plat_bsd386.c
        wmlib/plat_freebsd.c
        wmlib/plat_hpux.c
        wmlib/plat_irix.c
        wmlib/plat_linux.c
        wmlib/plat_svr4.c
        wmlib/plat_ultrix.c
        wmlib/plat_news.c
        wmlib/plat_openbsd.c
        wmlib/plat_osf1.c
        wmlib/plat_sun.c
        wmlib/plat_scor5.c
        wmlib/drv_sony.c
        wmlib/drv_toshiba.c
    )
    target_compile_definitions(KCompactDisc PRIVATE -DUSE_WMLIB=1)
endif()

target_link_libraries(KCompactDisc
    PUBLIC
        Qt::Core
    PRIVATE
        Qt::DBus
        KF${KF_MAJOR_VERSION}::Solid
        KF${KF_MAJOR_VERSION}::I18n
        Phonon::phonon4qt${QT_MAJOR_VERSION}
)

if (HAVE_ALSA)
    target_link_libraries(KCompactDisc PRIVATE ALSA::ALSA)
endif()

if (USE_WMLIB)
    find_package(Threads)
    target_link_libraries(KCompactDisc PRIVATE ${CMAKE_THREAD_LIBS_INIT})
endif()

target_include_directories(KCompactDisc
    INTERFACE
        "$<INSTALL_INTERFACE:${KCOMPACTDISC_INSTALL_INCLUDEDIR}>"
)

ecm_generate_headers(KCompactDisc_HEADERS
    HEADER_NAMES 
    KCompactDisc
    REQUIRED_HEADERS KCompactDisc_HEADERS
)

if (QT_MAJOR_VERSION STREQUAL "6")
    install(TARGETS KCompactDisc EXPORT KCompactDiscTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
else()
    install(TARGETS KCompactDisc EXPORT KCompactDiscTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
endif()
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kcompactdisc_export.h
    ${KCompactDisc_HEADERS}
    DESTINATION ${KCOMPACTDISC_INSTALL_INCLUDEDIR}
    COMPONENT Devel
)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_CMAKEPACKAGEDIR}/${KCOMPACTDISC_CMAKECONFIG_NAME})

configure_package_config_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/KF5CompactDiscConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/${KCOMPACTDISC_CMAKECONFIG_NAME}Config.cmake
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/${KCOMPACTDISC_CMAKECONFIG_NAME}Config.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${KCOMPACTDISC_CMAKECONFIG_NAME}ConfigVersion.cmake
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT
    KCompactDiscTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE ${KCOMPACTDISC_CMAKECONFIG_NAME}Targets.cmake
    NAMESPACE ${NAMESPACE_NAME}
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kcompactdisc_version.h
    DESTINATION "${KCOMPACTDISC_INSTALL_INCLUDEDIR}"
    COMPONENT Devel
)

ecm_generate_pri_file(
    BASE_NAME KCompactDisc
    LIB_NAME ${KCOMPACTDISC_CMAKECONFIG_NAME}
    DEPS "core dbus phonon4qt5 KCoreAddons KI18n Solid"
    FILENAME_VAR PRI_FILENAME
    INCLUDE_INSTALL_DIR ${KCOMPACTDISC_INSTALL_INCLUDEDIR}
)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
libkcompactdisc (4:23.08.5-0ubuntu5) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:16:16 +0000

libkcompactdisc (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:51:07 +0000

libkcompactdisc (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:35:15 +0000

libkcompactdisc (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:37:56 +0000

libkcompactdisc (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:22:10 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libkcompactdisc
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Pino Toscano <pino@debian.org>,
@@ -16,11 +17,11 @@
                libphonon4qt5-dev (>= 4:4.8.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/libkcompactdisc
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcompactdisc
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkcompactdisc.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcompactdisc
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcompactdisc
 
 Package: libkf5compactdisc-dev
 Section: libdevel
@@ -43,7 +44,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5compactdisc-data (<< 4:20.04.3-1~)
+Replaces: libkf5compactdisc-data (<< 4:20.04.3-1~)
 Description: CD drive library for KDE Platform (runtime)
  The KDE Compact Disc library provides an API for applications using
  the KDE Platform to interface with the CD drives for audio CDs.

## libkcompactdisc 24.08.2

=== debian/changelog ===
libkcompactdisc (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Build against Qt6 / KF6, update build-deps and deps with the info
    from cmake.
  * Adapt packaging to library renaming for the Qt6 build.
  * Update symbols from build for 24.08.2.
  * Switch to declarative KF6 debhelper build sequence.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 24 Oct 2024 16:06:51 +0200

=== debian/control ===
Source: libkcompactdisc
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.92.0~),
               gettext,
               libasound2-dev [linux-any],
               libkf6i18n-dev (>= 5.240.0~),
               libkf6solid-dev (>= 5.240.0~),
               libphonon4qt6-dev (>= 4:4.8.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/libkcompactdisc
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcompactdisc
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkcompactdisc.git

Package: libkcompactdisc-dev
Section: libdevel
Architecture: any
Depends: libkcompactdisc6-5 (= ${binary:Version}),
         libkf6i18n-dev (>= 5.240.0~),
         libkf6solid-dev (>= 5.240.0~),
         libphonon4qt6-dev (>= 4:4.8.0~),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Breaks: libkf5compactdisc-dev,
Replaces: libkf5compactdisc-dev,
Description: CD drive library for KDE Platform (development)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package contains the development files for libKCompactDisc.
 .
 This package is part of the KDE multimedia module.

Package: libkcompactdisc6-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5compactdisc5,
Replaces: libkf5compactdisc5,
Description: CD drive library for KDE Platform (runtime)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package is part of the KDE multimedia module.

## libkcompactdisc 24.12.0

=== debian/changelog ===
libkcompactdisc (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update dev package dependencies.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 23:55:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
            Norbert Preining <norbert@preining.info>,
            Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 5.92.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.4~),
                gettext,
                libasound2-dev [linux-any],
-               libkf6i18n-dev (>= 5.240.0~),
-               libkf6solid-dev (>= 5.240.0~),
+               libkf6i18n-dev (>= 6.4~),
+               libkf6solid-dev (>= 6.4~),
                libphonon4qt6-dev (>= 4:4.8.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.7~),
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/libkcompactdisc
@@ -27,10 +27,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkcompactdisc6-5 (= ${binary:Version}),
-         libkf6i18n-dev (>= 5.240.0~),
-         libkf6solid-dev (>= 5.240.0~),
-         libphonon4qt6-dev (>= 4:4.8.0~),
-         qt6-base-dev (>= 6.5.0~),
+         qt6-base-dev (>= 6.7~),
          ${misc:Depends},
 Breaks: libkf5compactdisc-dev,
 Replaces: libkf5compactdisc-dev,

## libkcompactdisc 24.12.1

=== debian/changelog ===
libkcompactdisc (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 13:58:20 +0000

libkcompactdisc (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:22:27 +0000

libkcompactdisc (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 13:02:37 +0000

libkcompactdisc (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 17:28:19 +0000

libkcompactdisc (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:47:25 +0000

libkcompactdisc (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 13:28:55 +0000

## libkcompactdisc 24.12.3

=== debian/changelog ===
libkcompactdisc (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:49:28 +0000

libkcompactdisc (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 09:53:39 +0000

## libkcompactdisc 25.04.0

=== tests/CMakeLists.txt ===
# test - sample test everything app

add_executable(testkcd testkcd.cpp)
target_link_libraries(testkcd KCompactDisc)

=== debian/changelog ===
libkcompactdisc (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:01:54 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libphonon4qt6-dev (>= 4:4.8.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/libkcompactdisc
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcompactdisc

## libkcompactdisc 25.04.1

=== debian/changelog ===
libkcompactdisc (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:16:29 +0100

libkcompactdisc (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:01:14 +0100

## libkcompactdisc 25.04.2

=== debian/changelog ===
libkcompactdisc (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:58:54 +0100

## libkcompactdisc 25.04.3

=== debian/changelog ===
libkcompactdisc (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:54:17 +0100

## libkcompactdisc 25.07.80

=== debian/changelog ===
libkcompactdisc (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:23:59 +0100

## libkcompactdisc 25.07.90

=== debian/changelog ===
libkcompactdisc (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:58:56 +0100

## libkcompactdisc 25.08.0

=== debian/changelog ===
libkcompactdisc (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:29:22 +0100

## libkcompactdisc 25.08.1

=== debian/changelog ===
libkcompactdisc (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:58:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,37 @@
 Source: libkcompactdisc
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.4~),
+               extra-cmake-modules (>= 5.92.0~),
                gettext,
                libasound2-dev [linux-any],
-               libkf6i18n-dev (>= 6.4~),
-               libkf6solid-dev (>= 6.4~),
+               libkf6i18n-dev (>= 5.240.0~),
+               libkf6solid-dev (>= 5.240.0~),
                libphonon4qt6-dev (>= 4:4.8.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.5.0~),
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/libkcompactdisc
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcompactdisc
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkcompactdisc.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcompactdisc
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkcompactdisc
 
 Package: libkcompactdisc-dev
 Section: libdevel
 Architecture: any
 Depends: libkcompactdisc6-5 (= ${binary:Version}),
-         qt6-base-dev (>= 6.7~),
+         libkf6i18n-dev (>= 5.240.0~),
+         libkf6solid-dev (>= 5.240.0~),
+         libphonon4qt6-dev (>= 4:4.8.0~),
+         qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},
 Breaks: libkf5compactdisc-dev,
 Replaces: libkf5compactdisc-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DQT_MAJOR_VERSION=6

override_dh_auto_test:
	:

## libkcompactdisc 25.08.1+p24.04+vstable+git20250910.0307

=== debian/changelog ===
libkcompactdisc (4:25.08.1+p24.04+vstable+git20250910.0307-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 03:07:52 +0000

libkcompactdisc (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:04:13 +0000

libkcompactdisc (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:08:30 +0000

libkcompactdisc (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:53:28 +0000

libkcompactdisc (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:01:29 +0000

libkcompactdisc (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:43:50 +0000

libkcompactdisc (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:57:41 +0000

libkcompactdisc (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:26:18 +0000

libkcompactdisc (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:58:20 +0000

libkcompactdisc (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:49:08 +0000

libkcompactdisc (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:44:46 +0000

libkcompactdisc (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:00:59 +0000

libkcompactdisc (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:32:22 +0000

libkcompactdisc (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:04:00 +0000

libkcompactdisc (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:57:22 +0000

libkcompactdisc (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:36:38 +0000

libkcompactdisc (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:00:25 +0000

libkcompactdisc (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:43:45 +0000

libkcompactdisc (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:33:36 +0000

libkcompactdisc (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:12:50 +0000

libkcompactdisc (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 13:33:12 +0000

libkcompactdisc (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:50:34 +0000

libkcompactdisc (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 18:07:42 +0000

libkcompactdisc (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:21:32 +0000

libkcompactdisc (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 06:00:48 +0000

libkcompactdisc (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:48:31 +0000

libkcompactdisc (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:28:17 +0000

libkcompactdisc (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:01:04 +0000

libkcompactdisc (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:07:45 +0000

libkcompactdisc (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:29:05 +0000

libkcompactdisc (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:45:41 +0000

libkcompactdisc (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:29:16 +0000

libkcompactdisc (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:18:15 +0000

libkcompactdisc (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:40:27 +0000

libkcompactdisc (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:34:11 +0000

libkcompactdisc (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:46:19 +0000

libkcompactdisc (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:03:56 +0000

libkcompactdisc (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:09:38 +0000

libkcompactdisc (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:12:19 +0000

libkcompactdisc (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 12:20:11 +0000

libkcompactdisc (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:46 +0000

libkcompactdisc (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:22:55 +0000

libkcompactdisc (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:08:14 +0000

libkcompactdisc (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:24:36 +0000



## libkcompactdisc 25.08.2

=== debian/changelog ===
libkcompactdisc (4:25.08.2-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 02:50:46 +0000

libkcompactdisc (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:47:08 +0000

## libkcompactdisc 25.08.3

=== CMakeLists.txt ===
﻿cmake_minimum_required(VERSION 3.16)

project(KCompactDisc VERSION 5.0.0)

set(QT_MIN_VERSION "6.7")
set(KF_MIN_VERSION "6.4")

# Dependencies
include(FeatureSummary)
find_package(ECM ${KF_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(ECMGeneratePriFile)
include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMDeprecationSettings)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})


# Qt6, KF6 and Phonon Packages

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Solid
    I18n
)
find_package(Phonon4Qt6 4.8.0 CONFIG REQUIRED)

# Sources
ecm_set_disabled_deprecation_versions(
    QT 6.7
    KF 6.4
)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

ki18n_install(po)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libkcompactdisc (4:25.08.3-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:11:40 +0000

libkcompactdisc (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:45:18 +1000

## libkcompactdisc 25.08.3+p24.04+vstable+git20251123.1053

=== debian/changelog ===
libkcompactdisc (4:25.08.3+p24.04+vstable+git20251123.1053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 10:53:07 +0000

## libkcompactdisc 25.11.80

=== debian/changelog ===
libkcompactdisc (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:56:25 +0000

libkcompactdisc (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:19:00 +0000

libkcompactdisc (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:55:31 +0100

## libkcompactdisc 25.11.90

=== debian/changelog ===
libkcompactdisc (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:15:00 +0000

## libkcompactdisc 25.12.0

=== debian/changelog ===
libkcompactdisc (4:25.12.0-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 16:18:49 +0000

libkcompactdisc (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:41:51 +1000

## libkcompactdisc 25.12.0+p24.04+vstable+git20251208.2154

=== debian/changelog ===
libkcompactdisc (4:25.12.0+p24.04+vstable+git20251208.2154-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 21:54:04 +0000

## libkcompactdisc 25.12.0+p24.04+vunstable+git20251208.2155

=== debian/changelog ===
libkcompactdisc (4:25.12.0+p24.04+vunstable+git20251208.2155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 21:55:21 +0000

=== debian/control ===
Source: libkcompactdisc
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-solid-dev,
               libasound2-dev [linux-any],
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-phonon-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/libkcompactdisc.git
Vcs-Browser: https://invent.kde.org/neon/kde/libkcompactdisc
Maintainer: Neon CI <neon@kde.org>

Package: libkcompactdisc6-dev
Section: libdevel
Architecture: any
Depends: kf6-kcoreaddons-dev,
         kf6-ki18n-dev,
         kf6-solid-dev,
         libkcompactdisc6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-phonon-dev,
         ${misc:Depends}
Description: CD drive library for KDE Platform (development)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package contains the development files for libKCompactDisc.
 .
 This package is part of the KDE multimedia module.

Package: libkcompactdisc6
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5compactdisc5 (<< 4:24.02.0-1)
Replaces: libkf5compactdisc5 (<< 4:24.02.0-1)
Description: CD drive library for KDE Platform (runtime)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package is part of the KDE multimedia module.

## libkcompactdisc 25.12.1

=== debian/changelog ===
libkcompactdisc (4:25.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (25.12.1).
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/watch: Update to version 5.
  * debian/copyright: solve lintian warning old-fsf-address-in-copyright-file.

 -- Boyuan Yang <byang@debian.org>  Sat, 31 Jan 2026 21:10:34 -0500

=== debian/control ===
Source: libkcompactdisc
Section: kde
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.4~),
               gettext,
               libasound2-dev [linux-any],
               libkf6i18n-dev (>= 6.4~),
               libkf6solid-dev (>= 6.4~),
               libphonon4qt6-dev (>= 4:4.8.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/multimedia/libkcompactdisc
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkcompactdisc
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkcompactdisc.git

Package: libkcompactdisc-dev
Section: libdevel
Architecture: any
Depends: libkcompactdisc6-5 (= ${binary:Version}),
         qt6-base-dev (>= 6.7~),
         ${misc:Depends},
Breaks: libkf5compactdisc-dev,
Replaces: libkf5compactdisc-dev,
Description: CD drive library for KDE Platform (development)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package contains the development files for libKCompactDisc.
 .
 This package is part of the KDE multimedia module.

Package: libkcompactdisc6-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5compactdisc5,
Replaces: libkf5compactdisc5,
Description: CD drive library for KDE Platform (runtime)
 The KDE Compact Disc library provides an API for applications using
 the KDE Platform to interface with the CD drives for audio CDs.
 .
 This package is part of the KDE multimedia module.

## libkcompactdisc 25.12.1+p24.04+vstable+git20260107.0047

=== debian/changelog ===
libkcompactdisc (4:25.12.1+p24.04+vstable+git20260107.0047-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 00:47:33 +0000

libkcompactdisc (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:33:03 +1000

## libkcompactdisc 25.12.1+p24.04+vunstable+git20260107.0052

=== debian/changelog ===
libkcompactdisc (4:25.12.1+p24.04+vunstable+git20260107.0052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 00:52:14 +0000

## libkcompactdisc 25.12.2

=== debian/changelog ===
libkcompactdisc (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:30:34 +0000

libkcompactdisc (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:15:46 +0000

libkcompactdisc (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:34:32 +0000

## libkcompactdisc 25.12.2+p24.04+vstable+git20260206.1524

=== debian/changelog ===
libkcompactdisc (4:25.12.2+p24.04+vstable+git20260206.1524-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 15:24:30 +0000

libkcompactdisc (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:25:34 +0000
